Page MenuHomePhabricator

Scrolling disabled when editing using iOS 8.2 and mobile Safari
Closed, ResolvedPublic

Description

When editing a page on en.wiki (possibly elsewhere, haven't tried) using iOS 8.2 and Safari, it is not possible to scroll up or down. This appears to affect both iPhones and iPads, however, scrolling is possible using Chrome on an iPhone. This appears to be a recent issue per this thread.

EDIT: To clarify, this occurs when editing via en.m.wikipedia.org. Scrolling works as expected when editing in the desktop view or via the mobile app.

Event Timeline

DoRD created this task.Apr 8 2015, 7:18 PM
DoRD raised the priority of this task from to Needs Triage.
DoRD updated the task description. (Show Details)
DoRD added a project: Readers-Web-Backlog.
DoRD added a subscriber: DoRD.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2015, 7:18 PM
DoRD updated the task description. (Show Details)Apr 8 2015, 8:25 PM
DoRD set Security to None.
kaldari triaged this task as Unbreak Now! priority.Apr 8 2015, 8:28 PM

Confirmed. Seems to affect both VisualEditor and Wikitext editor.

Also reproducable in the iPhone emulator in the latest Chrome.

Also reproducable in iOS 6. Seems to have been introduced before March 21. Haven't tracked it down yet though.

phuedx claimed this task.Apr 9 2015, 9:18 AM
Nnemo added a subscriber: Nnemo.Apr 9 2015, 12:31 PM
phuedx added a comment.Apr 9 2015, 2:20 PM

In the Wikitext editor, this is caused by the textarea being expanded to the height of the content, so it ain't scrollable, rather than the height of the phone.

phuedx added a comment.EditedApr 9 2015, 2:30 PM

I'm guessing it's caused by the .microAutosize(); line in https://gerrit.wikimedia.org/r/#/c/195995/2/javascripts/modules/editor/EditorOverlay.js.

Edit

Nope.

phuedx added a subscriber: Florian.Apr 9 2015, 2:33 PM

I don't have an iPhone and Mac, so i have to ask :) Can you scroll the textarea with two fingers (two-finger-scroll)?

DoRD added a comment.Apr 9 2015, 3:18 PM

I don't have an iPhone and Mac, so i have to ask :) Can you scroll the textarea with two fingers (two-finger-scroll)?

I tried that and it still didn't scroll. At one point, I was able to do some scrolling after I rotated the phone to landscape orientation, but it was still only allowing a portion of the window to scroll.

phuedx added a comment.Apr 9 2015, 3:18 PM

@Florian: as @kaldari pointed out, you can reproduce this bug with the device emulator in Chrome (see https://developer.chrome.com/devtools/docs/device-mode).

phuedx added a comment.Apr 9 2015, 3:22 PM

I have a WIP patch for this, which fixes the Wikitext editor. I'm currently installing VE so that I can provisionally fix that too.

I spent some time git bisecting to try and figure out when this started being an issue and didn't get very far at all. I guess we should fix the bug ASAP and then figure out exactly what went wrong.

@Florian: as @kaldari pointed out, you can reproduce this bug with the device emulator in Chrome (see https://developer.chrome.com/devtools/docs/device-mode).

Ah, i thought he mean the iPhone emulator and the installed chrome app :)

Change 203095 had a related patch set uploaded (by Phuedx):
WIP: Don't let the Wikitext editor over-expand

https://gerrit.wikimedia.org/r/203095

phuedx added a comment.Apr 9 2015, 4:11 PM

Still trying to install VE on MWV…

phuedx added a comment.Apr 9 2015, 5:14 PM

Done. Investigating the VE-side of things…

Change 203095 merged by jenkins-bot:
Don't let the Wikitext editor over-expand

https://gerrit.wikimedia.org/r/203095

Change 203959 had a related patch set uploaded (by Kaldari):
Don't let the Wikitext editor over-expand

https://gerrit.wikimedia.org/r/203959

Change 203959 merged by Alex Monk:
Don't let the Wikitext editor over-expand

https://gerrit.wikimedia.org/r/203959

The VE behaviour appears to be because of a bug in Safari on iOS 8.2 related to the -webkit-overflow-scrolling: touch "feature". There are numerous reports on open source projects but I've yet to find a link to the Safari bug…

It's my understanding that this bug was the same for the Wikitext editor and my fix was simply a workaround.

Still trying to find the bug report…

It looks like this bug was caused by https://gerrit.wikimedia.org/r/#/c/188673/, which unfortunately was a significant change to a lot of code.

Change 207705 had a related patch set uploaded (by Kaldari):
Fixing scrolling in the editor in Mobile Safari

https://gerrit.wikimedia.org/r/207705

Change 207705 merged by jenkins-bot:
Fixing scrolling in the editor in Mobile Safari

https://gerrit.wikimedia.org/r/207705

phuedx closed this task as Resolved.Apr 30 2015, 3:07 PM
phuedx removed a project: Patch-For-Review.
phuedx added a subscriber: phuedx.

Change 207850 had a related patch set uploaded (by Kaldari):
Fixing scrolling in the editor in Mobile Safari

https://gerrit.wikimedia.org/r/207850

Change 207852 had a related patch set uploaded (by Kaldari):
Fixing scrolling in the editor in Mobile Safari

https://gerrit.wikimedia.org/r/207852

Change 207852 merged by jenkins-bot:
Fixing scrolling in the editor in Mobile Safari

https://gerrit.wikimedia.org/r/207852

Change 207850 merged by jenkins-bot:
Fixing scrolling in the editor in Mobile Safari

https://gerrit.wikimedia.org/r/207850

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 7 2018, 1:29 AM